"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_react_1 = require("utils-react");
const addDependencies_1 = require("./utils/addDependencies");
const addFiles_1 = require("./utils/addFiles");
const download_1 = require("./utils/download");
const existsFile_1 = require("./utils/existsFile");
const makeQuestions_1 = require("./utils/makeQuestions");
const packageManager_1 = require("./utils/packageManager");
const main = () => __awaiter(void 0, void 0, void 0, function* () {
    const { typeProject, isTypeScript } = yield (0, makeQuestions_1.makeQuestions)();
    console.log("Installing dependencies...");
    console.log("");
    const managerMessage = yield (0, packageManager_1.packageManager)();
    yield (0, addDependencies_1.addDependencies)(typeProject, isTypeScript, managerMessage);
    const files = yield (0, addFiles_1.addFiles)(typeProject, isTypeScript);
    console.log("Deleting existing files...");
    console.log("");
    yield (0, existsFile_1.existsFile)(files.map(file => file.filename));
    for (let i = 0; i < files.length; i++) {
        const element = files[i];
        console.log(`Downloading ${element.filename}...`);
        yield (0, utils_react_1.delay)(200);
        yield (0, download_1.download)(element.path, element.filename);
    }
    console.log("Done!");
});
main();
