"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.addDependencies = void 0;
const shelljs_1 = require("shelljs");
const utils_react_1 = require("utils-react");
const constants_1 = require("./constants");
const addDependencies = (typeProject, isTypeScript, managerMessage) => __awaiter(void 0, void 0, void 0, function* () {
    const dependenciesObject = {
        dependencies: [],
        dev_dependencies: [],
    };
    typeProject === "React"
        ? dependenciesObject.dev_dependencies.push(...constants_1.reactDependencies)
        : dependenciesObject.dev_dependencies.push(...constants_1.nodeDependencies);
    isTypeScript === "Yes" &&
        dependenciesObject.dev_dependencies.push("@typescript-eslint/eslint-plugin", "@typescript-eslint/parser");
    const dependencies = dependenciesObject.dev_dependencies.join(" ");
    const addMessage = `${managerMessage} ${dependencies} -D`;
    yield (0, utils_react_1.delay)(1000);
    (0, shelljs_1.exec)(addMessage);
});
exports.addDependencies = addDependencies;
