"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.addFiles = void 0;
const addFiles = (typeProject, isTypeScript) => __awaiter(void 0, void 0, void 0, function* () {
    const extension = isTypeScript ? "ts" : "js";
    const files = [
        {
            path: `src/templates/ignore.txt`,
            filename: `.eslintignore`,
        },
        {
            path: `src/templates/ignore.txt`,
            filename: `.prettierignore`,
        },
        {
            path: `src/templates/editorconfig.txt`,
            filename: `.editorconfig`,
        },
        {
            path: `src/templates/prettier.txt`,
            filename: `.prettierrc.json`,
        },
    ];
    typeProject === "React"
        ? files.push({
            path: `src/templates/react/eslint-${extension}.txt`,
            filename: `.eslintrc.json`,
        })
        : files.push({
            path: `src/templates/node/eslint-${extension}.txt`,
            filename: `.eslintrc.json`,
        });
    return files.reverse();
});
exports.addFiles = addFiles;
